- hosts: localhost
  vars:
  - artifacts: "{{ lookup('env', 'TEST_ARTIFACTS')|default('./artifacts', true) }}"
  tags:
  - classic
  roles:
  - role: standard-test-basic
    tests:
    - converterSample
    required_packages:
    - acpica-tools
  remote_user: root
  tasks:
  - name: converterSample
    block:
      - name: run the converterSample test
        shell: exec > /tmp/converterSample.test.log 2>&1 && ./converterSample/runtest.sh

    always:
      - name: pull out results
        fetch:
          dest: "{{ artifacts }}/"
          src:  "{{ item }}"
          flat: yes
        with_items:
        - /tmp/converterSample.test.log
        - ./converterSample/converterSample.asl.expected
        - ./converterSample/converterSample.asl.actual
